@import "../variables";
@import "../mixins";

.app-header {
  margin-left: 20px;
  margin-bottom: 45px;
  display: flex;
  justify-content: space-between
}

.logo {
  display: flex;
  flex-direction: column;
  align-items: center;

  @include respond-to('small') {
    flex-direction: row;
    align-items: baseline;
  }
}

.logo-img {
  background: {
    image: url('../assets/spacex-logo.png');
    position: 0 0;
    repeat: no-repeat;  
    size: 173px 21px;
  }
  width: 173px;
  height: 21px;
}

.logo-text {
  text-transform: uppercase;
  font-size: 1.125em;
  letter-spacing: 0.1em;
  
  @include respond-to('small') {
    margin-left: -15px;
  }
}

.reload-container {
  
  button {
    border-radius: 20px 0 0 20px;
  }

  i {
    @include icon  ('./assets/icon/refresh.png', 14px, 14px);
  }
}